org.keycloak.audit.jpa

## Class JpaEventQuery

- java.lang.Object
- - org.keycloak.audit.jpa.JpaEventQuery

- All Implemented Interfaces:
    EventQuery

      public class JpaEventQuery
      extends Object
      implements EventQuery

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaEventQuery(javax.persistence.EntityManager em)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventQuery` | `client(String clientId)`
    `EventQuery` | `event(EventType... events)`
    `EventQuery` | `firstResult(int firstResult)`
    `List<Event>` | `getResultList()`
    `EventQuery` | `ipAddress(String ipAddress)`
    `EventQuery` | `maxResults(int maxResults)`
    `EventQuery` | `realm(String realmId)`
    `EventQuery` | `user(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaEventQuery

          public JpaEventQuery(javax.persistence.EntityManager em)

  - ### Method Detail

    - #### event

          public EventQuery event(EventType... events)

      Specified by:
        `event` in interface `EventQuery`

    - #### realm

          public EventQuery realm(String realmId)

      Specified by:
        `realm` in interface `EventQuery`

    - #### client

          public EventQuery client(String clientId)

      Specified by:
        `client` in interface `EventQuery`

    - #### user

          public EventQuery user(String userId)

      Specified by:
        `user` in interface `EventQuery`

    - #### ipAddress

          public EventQuery ipAddress(String ipAddress)

      Specified by:
        `ipAddress` in interface `EventQuery`

    - #### firstResult

          public EventQuery firstResult(int firstResult)

      Specified by:
        `firstResult` in interface `EventQuery`

    - #### maxResults

          public EventQuery maxResults(int maxResults)

      Specified by:
        `maxResults` in interface `EventQuery`

    - #### getResultList

          public List<Event> getResultList()

      Specified by:
        `getResultList` in interface `EventQuery`

Copyright © 2014. All Rights Reserved.